<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>AppModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.44.1 (20200629.0846)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="504pt" height="211pt"
 viewBox="0.00 0.00 504.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="white" stroke="transparent" points="-4,4 -4,-207 500,-207 500,4 -4,4"/>
<text text-anchor="start" x="227.01" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="14,-10 14,-30 34,-30 34,-10 14,-10"/>
<text text-anchor="start" x="37.63" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="127,-10 127,-30 147,-30 147,-10 127,-10"/>
<text text-anchor="start" x="150.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="213,-10 213,-30 233,-30 233,-10 213,-10"/>
<text text-anchor="start" x="236.78" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="310,-10 310,-30 330,-30 330,-10 310,-10"/>
<text text-anchor="start" x="333.67" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="406,-10 406,-30 426,-30 426,-10 406,-10"/>
<text text-anchor="start" x="429.73" y="-15.4" font-family="sans-serif" font-size="14.00"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="black" stroke-dasharray="1,5" points="133.5,-70 133.5,-195 362.5,-195 362.5,-70 133.5,-70"/>
</g>
<g id="clust3" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="black" points="141.5,-78 141.5,-130 354.5,-130 354.5,-78 141.5,-78"/>
</g>
<!-- AuthModule -->
<g id="node1" class="node">
<title>AuthModule</title>
<polygon fill="#8dd3c7" stroke="black" points="346.05,-122 343.05,-126 322.05,-126 319.05,-122 258.95,-122 258.95,-86 346.05,-86 346.05,-122"/>
<text text-anchor="middle" x="302.5" y="-99.8" font-family="Times,serif" font-size="14.00">AuthModule</text>
</g>
<!-- AppModule -->
<g id="node3" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="black" points="290.16,-187 287.16,-191 266.16,-191 263.16,-187 206.84,-187 206.84,-151 290.16,-151 290.16,-187"/>
<text text-anchor="middle" x="248.5" y="-164.8" font-family="Times,serif" font-size="14.00">AppModule</text>
</g>
<!-- AuthModule&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>AuthModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M274.53,-122.11C274.53,-122.11 274.53,-140.99 274.53,-140.99"/>
<polygon fill="black" stroke="black" points="271.03,-140.99 274.53,-150.99 278.03,-140.99 271.03,-140.99"/>
</g>
<!-- UsersModule -->
<g id="node2" class="node">
<title>UsersModule</title>
<polygon fill="#8dd3c7" stroke="black" points="241.42,-122 238.42,-126 217.42,-126 214.42,-122 149.58,-122 149.58,-86 241.42,-86 241.42,-122"/>
<text text-anchor="middle" x="195.5" y="-99.8" font-family="Times,serif" font-size="14.00">UsersModule</text>
</g>
<!-- UsersModule&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>UsersModule&#45;&gt;AppModule</title>
<path fill="none" stroke="black" d="M223.94,-122.11C223.94,-122.11 223.94,-140.99 223.94,-140.99"/>
<polygon fill="black" stroke="black" points="220.44,-140.99 223.94,-150.99 227.44,-140.99 220.44,-140.99"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Controllers<a href="https://docs.nestjs.com/controllers" target="_blank" title="Official documentation about module controllers"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../controllers/AuthController.html">AuthController</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../controllers/BusinessController.html">BusinessController</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../controllers/NotificationController.html">NotificationController</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../controllers/NotificationGateway.html">NotificationGateway</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../controllers/UserController.html">UserController</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/AuthModule.html">AuthModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/UsersModule.html">UsersModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Module } from &#x27;@nestjs/common&#x27;
import { ConfigModule } from &#x27;@nestjs/config&#x27;
// import { ScheduleModule } from &#x27;@nestjs/schedule&#x27;
import { TerminusModule } from &#x27;@nestjs/terminus&#x27;
import { MulterModule } from &#x27;@nestjs/platform-express&#x27;
import multer from &#x27;multer&#x27;
// import { AuthModule, UsersModule, BusinessModule } from &#x27;./services&#x27;
// import { PinController } from &#x27;./routes/world/pin/pin.controller&#x27;
// import { BusinessController } from &#x27;./routes/business/business.controller&#x27;
// import { PostsController } from &#x27;./routes/social/posts/posts.controller&#x27;
import { UsersModule } from &#x27;./services/users/users.module&#x27;
import { AuthModule } from &#x27;./services/auth/auth.module&#x27;
import { AuthController } from &#x27;./routes/auth/auth.controller&#x27;
import { UserController } from &#x27;./routes/user/user.controller&#x27;
import { ClientsModule, Transport } from &#x27;@nestjs/microservices&#x27;
import { MESSAGE_SERVICES } from &#x27;src&#x27;
import { NotificationController } from &#x27;./routes/notification/notification.controller&#x27;
import { NotificationGateway } from &#x27;./routes/notification/notification.gateway&#x27;
import { BullModule } from &#x27;@nestjs/bull&#x27;
import { BusinessController } from &#x27;./routes/business/business.controller&#x27;
// import { MunicipalityController } from &#x27;./routes/world/municipality/municipality.controller&#x27;
// import { WorldModule } from &#x27;./services/world/world.module&#x27;
// import { PaymentModule } from &#x27;./services/payment/payment.module&#x27;
// import { PaymentController } from &#x27;./routes/payment/payment.controller&#x27;
// import { ProductsController } from &#x27;./routes/commerce/products/products.controller&#x27;
// import { UserController } from &#x27;./routes/user/user.controller&#x27;
// import { MapboxController } from &#x27;./routes/world/mapbox/mapbox.controller&#x27;
// import { PaymentWebhooksController } from &#x27;./routes/payment/payment-webhooks.controller&#x27;
// import { SubscriptionController } from &#x27;./routes/commerce/subscription/subscription.controller&#x27;
// import { CustomerController } from &#x27;./routes/commerce/customer/customer.controller&#x27;
// import { WorldController } from &#x27;./routes/world/world.controller&#x27;
// import { SocialModule } from &#x27;./services/social/social.module&#x27;
// import { SocialEventsController } from &#x27;./routes/social/social-events/social-events.controller&#x27;
// import { CommonModule } from &#x27;./services/common/common.module&#x27;
// import { SearchModule } from &#x27;./services/search/search.module&#x27;
// import { SearchController } from &#x27;./routes/search/search.controller&#x27;
// import { FollowshipController } from &#x27;./routes/social/followship/followship.controller&#x27;
// import { NotificationController } from &#x27;./routes/notification/notification.controller&#x27;
// import { RemoteNotificationModule } from &#x27;./services/remote-notification/remote-notification.module&#x27;

@Module({
  imports: [
    ConfigModule.forRoot({
      isGlobal: true,
    }),
    // ScheduleModule.forRoot(),
    TerminusModule,
    MulterModule.register({
      storage: multer.memoryStorage()
    }),
    BullModule.registerQueue({
      name: &#x27;notification_queue&#x27;,
      redis: {
        host: process.env.REDIS_HOST,
        port: +process.env.REDIS_PORT
      }
    }),
    ClientsModule.register([
      {
        name: MESSAGE_SERVICES.API_SERVICE,
        transport: Transport.TCP,
        options: {
          host: process.env.API_MICROSERVICE_HOST,
          port: +process.env.API_MICROSERVICE_PORT,
        }
      }
    ]),
    AuthModule,
    // BusinessModule,
    // CommonModule,
    // PaymentModule,
    // RemoteNotificationModule,
    // SearchModule,
    // SocialModule,
    UsersModule,
    // WorldModule,
  ],
  controllers: [
    AuthController,
    BusinessController,
    // CustomerController,
    // FollowshipController,
    // MapboxController,
    // MunicipalityController,
    // NotificationController,
    NotificationController,
    NotificationGateway,
    // PaymentController,
    // PaymentWebhooksController,
    // PinController,
    // PostsController,
    // ProductsController,
    // SearchController,
    // SocialEventsController,
    // SubscriptionController,
    UserController,
    // WorldController,
  ],
  providers: [
    NotificationGateway,
  ],
})
export class AppModule {
  // configure(consumer: MiddlewareConsumer) {
  //   consumer
  //     .apply(FormDataMiddleware)
  //     .forRoutes(&#x27;business/create-post&#x27;)
  // }
}</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AppModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
